## ros-kinetic-turtlebot-interactive-markers 2.3.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)

project(turtlebot_interactive_markers)

find_package(catkin REQUIRED COMPONENTS roscpp
                                        visualization_msgs
                                        interactive_markers)

catkin_package()

include_directories(${catkin_INCLUDE_DIRS})

add_executable(turtlebot_marker_server src/turtlebot_marker_server.cpp)

target_link_libraries(turtlebot_marker_server ${catkin_LIBRARIES})

install(TARGETS turtlebot_marker_server DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(DIRECTORY launch DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-kinetic-turtlebot-interactive-markers (2.3.1-0xenial) xenial; urgency=high



 -- Daniel Stonier <stonier@yujinrobot.com>  Mon, 23 Mar 2015 07:00:00 -0000

ros-kinetic-turtlebot-interactive-markers (2.3.0-0xenial) xenial; urgency=high



 -- Daniel Stonier <stonier@yujinrobot.com>  Tue, 30 Dec 2014 08:00:00 -0000

ros-kinetic-turtlebot-interactive-markers (2.2.2-0xenial) xenial; urgency=high

  * Correct reference to renamed launcher.
  * Add missing install rule for the server.

 -- Daniel Stonier <stonier@yujinrobot.com>  Fri, 25 Oct 2013 07:00:00 -0000

ros-kinetic-turtlebot-interactive-markers (2.2.1-0xenial) xenial; urgency=high



 -- Daniel Stonier <stonier@yujinrobot.com>  Wed, 11 Sep 2013 07:00:00 -0000

ros-kinetic-turtlebot-interactive-markers (2.2.0-0xenial) xenial; urgency=high

  * Add bugtracker and repo info URLs.
  * Changelogs at package level.

 -- Daniel Stonier <stonier@yujinrobot.com>  Fri, 30 Aug 2013 07:00:00 -0000

ros-kinetic-turtlebot-interactive-markers (2.1.1-0xenial) xenial; urgency=high



 -- Daniel Stonier <stonier@yujinrobot.com>  Tue, 23 Jul 2013 07:00:00 -0000

ros-kinetic-turtlebot-interactive-markers (2.1.0-0xenial) xenial; urgency=high

  * Catkinized

 -- Daniel Stonier <stonier@yujinrobot.com>  Tue, 16 Jul 2013 07:00:00 -0000

=== debian/control ===
Source: ros-kinetic-turtlebot-interactive-markers
Section: misc
Priority: extra
Maintainer: Daniel Stonier <stonier@yujinrobot.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-interactive-markers, ros-kinetic-roscpp, ros-kinetic-visualization-msgs
Homepage: http://ros.org/wiki/turtlebot_interactive_markers
Standards-Version: 3.9.2

Package: ros-kinetic-turtlebot-interactive-markers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-interactive-markers, ros-kinetic-roscpp, ros-kinetic-turtlebot-bringup, ros-kinetic-visualization-msgs
Description: Interactive control for the TurtleBot using RViz and interactive markers

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-turtlebot-interactive-markers//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
